# FO Parameter Reference

$Id: param.xweb,v 1.16 2002/02/11 12:23:08 nwalsh Exp $
Walsh
Norman
1999
2000
2001
Norman Walsh

## Introduction

This is technical reference documentation for the DocBook XSL Stylesheets; it documents (some of) the parameters, templates, and other elements of the stylesheets.

This reference describes each of the HTML Stylesheet parameters. These are the easily customizable parts of the stylesheet. If you want to specify an alternate value for one or more of these parameters, you can do so in a driver stylesheet.

For example, if you want to change the `html.stylesheet` to `reference.css`, you might create a driver stylesheet like this:

    <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                    version='1.0'>

      <xsl:import href="http://docbook.sourceforge.net/release/xsl/current/fo/docbook.xsl"/>

      <xsl:param name="html.stylesheet">reference.css</xsl:param>

    </xsl:stylesheet>

Naturally, you have to change the `href` attribute on `<xsl:import>` to point to `docbook.xsl` on your system. (Or `chunk.xsl`, if you're using chunking.)

This is not intended to be user documentation. It is provided for developers writing customization layers for the stylesheets, and for anyone who's interested in how it works.

Although I am trying to be thorough, this documentation is known to be incomplete. Don't forget to read the source, too :-)

## Admonitions

admon.graphics
boolean

## admon.graphics

Use graphics in admonitions?
<xsl:param name="admon.graphics" select="0"/>

### Description

If true (non-zero), admonitions are presented in an alternate style that uses a graphic. Default graphics are provided in the distribution.

admon.graphics.extension
string

## admon.graphics.extension

Extension for admonition graphics
<xsl:param name="admon.graphics.extension" select="'.png'"/>

### Description

Sets the extension to use on admonition graphics.

admon.graphics.path
string

## admon.graphics.path

Path to admonition graphics
<xsl:param name="admon.graphics.path">images/</xsl:param>

### Description

Sets the path, probably relative to the directory where the HTML files are created, to the admonition graphics.

## admonition.title.properties

To set the style for admonitions titles.
<xsl:attribute-set name="admonition.title.properties"> <xsl:attribute name="font-size">14pt</xsl:attribute> <xsl:attribute name="font-weight">bold</xsl:attribute> <xsl:attribute name="hyphenate">false</xsl:attribute> <xsl:attribute name="keep-with-next.within-column">always</xsl:attribute> </xsl:attribute-set>

### Description

How do you want admonitions titles styled?

Set the font-size, weight etc to the style required

## admonition.properties

To set the style for admonitions.
<xsl:attribute-set name="admonition.properties"/>

### Description

How do you want admonitions styled?

Set the font-size, weight etc to the style required

## Callouts

callout.defaultcolumn
integer

## callout.defaultcolumn

Indicates what column callouts appear in by default
<xsl:param name="callout.defaultcolumn" select="'60'"/>

### Description

If a callout does not identify a column (for example, if it uses the `linerange` `unit`), it will appear in the default column.

callout.graphics
boolean

## callout.graphics

Use graphics for callouts?
<xsl:param name="callout.graphics" select="'1'"/>

### Description

If non-zero, callouts are presented with graphics (e.g., reverse-video circled numbers instead of "(1)", "(2)", etc.). Default graphics are provided in the distribution.

callout.graphics.extension
string

## callout.graphics.extension

Extension for callout graphics
<xsl:param name="callout.graphics.extension" select="'.png'"/>

### Description

Sets the extension to use on callout graphics.

callout.graphics.number.limit
integer

## callout.graphics.number.limit

Number of the largest callout graphic
<xsl:param name="callout.graphics.number.limit" select="'10'"/>

### Description

If `callout.graphics` is non-zero, graphics are used to represent callout numbers. The value of `callout.graphics.number.limit` is the largest number for which a graphic exists. If the callout number exceeds this limit, the default presentation "(nnn)" will always be used.

callout.graphics.path
string

## callout.graphics.path

Path to callout graphics
<xsl:param name="callout.graphics.path" select="'images/callouts/'"/>

### Description

Sets the path, probably relative to the directory where the HTML files are created, to the callout graphics.

callout.unicode
boolean

## callout.unicode

Use Unicode characters rather than images for callouts.
<xsl:param name="callout.unicode" select="0"/>

### Description

The stylesheets can use either an image of the numbers one to ten, or the single Unicode character which represents the numeral, in white on a black background. Use this to select the Unicode character option.

callout.unicode.font

## callout.unicode.font

Specify a font for Unicode glyphs
<xsl:param name="callout.unicode.font" select="'ZapfDingbats'"/>

### Description

The name of the font to specify around Unicode callout glyphs. If set to the empty string, no font change will occur.

callout.unicode.number.limit
integer

## callout.unicode.number.limit

Number of the largest callout graphic
<xsl:param name="callout.unicode.number.limit" select="'10'"/>

### Description

If `callout.graphics` is non-zero, graphics are used to represent callout numbers. The value of `callout.graphics.number.limit` is the largest number for which a graphic exists. If the callout number exceeds this limit, the default presentation "(nnn)" will always be used.

callout.unicode.start.character
integer

## callout.unicode.start.character

First Unicode character to use, decimal value.
<xsl:param name="callout.unicode.start.character" select="10102"/>

### Description

If `callout.graphics` is non-zero, graphics are used to represent callout numbers. The value of `callout.graphics.number.limit` is the largest number for which a graphic exists. If the callout number exceeds this limit, the default presentation "(nnn)" will always be used.

callouts.extension
boolean

## callouts.extension

Enable the callout extension
<xsl:param name="callouts.extension" select="'1'"/>

### Description

The callouts extension processes `areaset` elements in `ProgramListingCO` and other text-based callout elements.

## ToC/LoT/Index Generation

autotoc.label.separator
string

## autotoc.label.separator

Separator between labels and titles in the ToC
<xsl:param name="autotoc.label.separator" select="'. '"/>

### Description

String to use to seperate labels and title in a table of contents.

process.empty.source.toc
boolean

## process.empty.source.toc

FIXME:
<xsl:param name="process.empty.source.toc" select="0"/>

### Description

FIXME:

process.source.toc
boolean

## process.source.toc

FIXME:
<xsl:param name="process.source.toc" select="0"/>

### Description

FIXME:

generate.book.equation.lot
boolean

## generate.book.equation.lot

Should a lot be generated for equations?
<xsl:param name="generate.book.equation.lot" select="1"/>

### Description

Specify if list of equations, like a table of contents, is required.

generate.book.example.lot
boolean

## generate.book.example.lot

Is a list of equations required?
<xsl:param name="generate.book.example.lot" select="1"/>

### Description

Specify if a list of examples is required, similar to a table of contents but for examples.

generate.book.figure.lot
boolean

## generate.book.figure.lot

Is a list of figures required for book?
<xsl:param name="generate.book.figure.lot" select="1"/>

### Description

Specify if a list of figures is required, similar to a table of contents but for figures.

generate.book.table.lot
boolean

## generate.book.table.lot

Do you want a list of tables in a book?
<xsl:param name="generate.book.table.lot" select="1"/>

### Description

Specify if a list of tables is required, similar to a table of contents, but for all the tables in the book

generate.book.toc
boolean

## generate.book.toc

Do you want a table of contents in the book?
<xsl:param name="generate.book.toc" select="1"/>

### Description

Specify if a table of contents is required in the book.

generate.set.toc
boolean

## generate.set.toc

Do you want a table of contents in each set?
<xsl:param name="generate.set.toc" select="1"/>

### Description

Specify if a table of contents is required in each set.

generate.component.toc
boolean

## generate.component.toc

Should TOCs be genereated in components (Chapters, Appendixes, etc.)?
<xsl:param name="generate.component.toc" select="1"/>

### Description

If true (non-zero), they are.

generate.division.equation.lot
boolean

## generate.division.equation.lot

Generate a list of titles for Equations?
<xsl:param name="generate.division.equation.lot" select="1"/>

### Description

If non-zero, a list of titles is generated for Equations.

generate.division.example.lot
boolean

## generate.division.example.lot

Generate a list of titles for Examples?
<xsl:param name="generate.division.example.lot" select="1"/>

### Description

If non-zero, a list of titles is generated for Examples.

generate.division.figure.lot
boolean

## generate.division.figure.lot

Generate a list of titles for Figures?
<xsl:param name="generate.division.figure.lot" select="1"/>

### Description

If non-zero, a list of titles is generated for Figures.

generate.division.table.lot
boolean

## generate.division.table.lot

Generate a list of titles for Tables?
<xsl:param name="generate.division.table.lot" select="1"/>

### Description

If non-zero, a list of titles is generated for Tables.

generate.division.toc
boolean

## generate.division.toc

Should TOCs be genereated in divisions (Books, Parts, etc.)?
<xsl:param name="generate.division.toc" select="1"/>

### Description

If true (non-zero), they are.

generate.index
boolean

## generate.index

Do you want an index?
<xsl:param name="generate.index" select="1"/>

### Description

Specify if an index should be generated.

toc.section.depth
integer

## toc.section.depth

How deep should recursive `section`s appear in the TOC?
<xsl:param name="toc.section.depth">2</xsl:param>

### Description

Specifies the depth to which recursive sections should appear in the TOC.

toc.indent.width
float

## toc.indent.width

Amount of indentation for TOC entries
<xsl:param name="toc.indent.width" select="24"/>

### Description

Specifies, in points, the distance by which each level of the TOC is indented from its parent.

This value is expressed in points, without a unit (in other words, it is a bare number). Using a bare number allows the stylesheet to perform calculations that would otherwise have to be performed by the FO processor because not all processors support expressions.

## toc.margin.properties

FIXME:
<xsl:attribute-set name="toc.margin.properties"> <xsl:attribute name="space-before.minimum">0.5em</xsl:attribute> <xsl:attribute name="space-before.optimum">1em</xsl:attribute> <xsl:attribute name="space-before.maximum">2em</xsl:attribute> <xsl:attribute name="space-after.minimum">0.5em</xsl:attribute> <xsl:attribute name="space-after.optimum">1em</xsl:attribute> <xsl:attribute name="space-after.maximum">2em</xsl:attribute> </xsl:attribute-set>

### Description

FIXME:

## Processor Extensions

arbortext.extensions
boolean

## arbortext.extensions

Enable Arbortext extensions?
<xsl:param name="arbortext.extensions" select="0"/>

### Description

If non-zero, Arbortext extensions will be used.

fop.extensions
boolean

## fop.extensions

Enable FOP extensions?
<xsl:param name="fop.extensions" select="0"/>

### Description

If non-zero, FOP extensions will be used. At present, this consists of PDF bookmarks.

passivetex.extensions
boolean

## passivetex.extensions

Enable PassiveTeX extensions?
<xsl:param name="passivetex.extensions" select="0"/>

### Description

If non-zero, PassiveTeX extensions will be used. At present, this consists of PDF bookmarks and sorted index terms.

tex.math.in.alt
string

## tex.math.in.alt

<xsl:param name="tex.math.in.alt" select="''"/>

### Description

If you want type math directly in TeX notation in equations, this parameter specifies notation used. Currently are supported two values -- `plain` and `latex`. Empty value means that you are not using TeX math at all.

Preferred way for including TeX alternative of math is inside of `textobject` element. Eg.:

    <inlineequation>
    <inlinemediaobject>
    <imageobject>
    <imagedata fileref="eq1.gif"/>
    </imageobject>
    <textobject><phrase>E=mc squared</phrase></textobject>
    <textobject role="tex"><phrase>E=mc^2</phrase></textobject>
    </inlinemediaobject>
    </inlineequation>

If you are using `graphic` element, you can store TeX inside `alt` element:

    <inlineequation>
    <alt role="tex">a^2+b^2=c^2</alt>
    <graphic fileref="a2b2c2.gif"/>
    </inlineequation>

If you want use this feature, you should process your FO with PassiveTeX, which only supports TeX math notation. When calling stylsheet, don't forget to specify also passivetex.extensions=1.

If you want equations in HTML, just process generated file `tex-math-equations.tex` by TeX or LaTeX. Then run dvi2bitmap program on result DVI file. You will get images for equations in your document.

xep.extensions
boolean

## xep.extensions

Enable XEP extensions?
<xsl:param name="xep.extensions" select="0"/>

### Description

If non-zero, XEP extensions will be used. XEP extensions consists of PDF bookmarks and document information.

## Stylesheet Extensions

linenumbering.everyNth
integer

## linenumbering.everyNth

Indicate which lines should be numbered
<xsl:param name="linenumbering.everyNth" select="'5'"/>

### Description

If line numbering is enabled, everyNth line will be numbered.

linenumbering.extension
boolean

## linenumbering.extension

Enable the line numbering extension
<xsl:param name="linenumbering.extension" select="'1'"/>

### Description

If true, verbatim environments (elements that have the format='linespecific' notation attribute: address, literallayout, programlisting, screen, synopsis) that specify line numbering will have, surprise, line numbers.

linenumbering.separator
string

## linenumbering.separator

Specify a separator between line numbers and lines
<xsl:param name="linenumbering.separator" select="' '"/>

### Description

The separator is inserted between line numbers and lines in the verbatim environment.

linenumbering.width
integer

## linenumbering.width

Indicates the width of line numbers
<xsl:param name="linenumbering.width" select="'3'"/>

### Description

If line numbering is enabled, line numbers will appear right justified in a field "width" characters wide.

tablecolumns.extension
boolean

## tablecolumns.extension

Enable the table columns extension function
<xsl:param name="tablecolumns.extension" select="'1'"/>

### Description

The table columns extension function adjusts the widths of table columns in the HTML result to more accurately reflect the specifications in the CALS table.

textinsert.extension
boolean

## textinsert.extension

Enable the textinsert extension element
<xsl:param name="textinsert.extension" select="'1'"/>

### Description

The textinsert extension element inserts the contents of a a file into the result tree (as text).

use.extensions
boolean

## use.extensions

Enable extensions
<xsl:param name="use.extensions" select="'0'"/>

### Description

If non-zero, extensions may be used. Each extension is further controlled by its own parameter. But if `use.extensions` is zero, no extensions will be used.

## Automatic labelling

appendix.autolabel
boolean

## appendix.autolabel

Are Appendixes automatically enumerated?
<xsl:param name="appendix.autolabel" select="1"/>

### Description

If true (non-zero), unlabeled appendixes will be enumerated.

chapter.autolabel
boolean

## chapter.autolabel

Are chapters automatically enumerated?
<xsl:param name="chapter.autolabel" select="1"/>

### Description

If true (non-zero), unlabeled chapters will be enumerated.

part.autolabel
boolean

## part.autolabel

Are parts and references enumerated?
<xsl:param name="part.autolabel" select="1"/>

### Description

If true (non-zero), unlabeled parts and references will be enumerated.

preface.autolabel
boolean

## preface.autolabel

Are prefaces enumerated?
<xsl:param name="preface.autolabel" select="0"/>

### Description

If true (non-zero), unlabeled prefaces will be enumerated.

section.autolabel
boolean

## section.autolabel

Are sections enumerated?
<xsl:param name="section.autolabel" select="0"/>

### Description

If true (non-zero), unlabeled sections will be enumerated.

section.label.includes.component.label
boolean

## section.label.includes.component.label

Do section labels include the component label?
<xsl:param name="section.label.includes.component.label" select="0"/>

### Description

If true (non-zero), section labels are prefixed with the label of the component that contains them.

label.from.part
boolean

## label.from.part

Renumber chapters in each part?
<xsl:param name="label.from.part" select="'0'"/>

### Description

If `label.from.part` is non-zero, components (`chapter`s, `appendixe`s, etc.) will be numbered from 1 in each `part`. Otherwise, they will be numbered monotonically throughout each `book`.

## XSLT Processing

rootid
string

## rootid

Specify the root element to format
<xsl:param name="rootid" select="''"/>

### Description

If `rootid` is specified, it must be the value of an ID that occurs in the document being formatted. The entire document will be loaded and parsed, but formatting will begin at the element identified, rather than at the root. For example, this allows you to process only chapter 4 of a book.

Because the entire document is available to the processor, automatic numbering, cross references, and other dependencies are correctly resolved.

## Meta/*Info

make.single.year.ranges
boolean

## make.single.year.ranges

Print single-year ranges (e.g., 1998-1999)
<xsl:param name="make.single.year.ranges" select="0"/>

### Description

If non-zero, year ranges that span a single year will be printed in range notation (1998-1999) instead of discrete notation (1998, 1999).

make.year.ranges
boolean

## make.year.ranges

Collate copyright years into ranges?
<xsl:param name="make.year.ranges" select="0"/>

### Description

If non-zero, copyright years will be collated into ranges.

author.othername.in.middle
boolean

## author.othername.in.middle

Is `othername` in `author` a middle name?
<xsl:param name="author.othername.in.middle" select="1"/>

### Description

If true (non-zero), the `othername` of an `author` appears between the `firstname` and `surname`. Otherwise, `othername` is suppressed.

## Reference Pages

funcsynopsis.decoration
boolean

## funcsynopsis.decoration

Decorate elements of a FuncSynopsis?
<xsl:param name="funcsynopsis.decoration" select="1"/>

### Description

If true (non-zero), elements of the FuncSynopsis will be decorated (e.g. bold or italic). The decoration is controlled by functions that can be redefined in a customization layer.

funcsynopsis.style
list
ansi
kr

## funcsynopsis.style

What style of 'FuncSynopsis' should be generated?
<xsl:param name="funcsynopsis.style">kr</xsl:param>

### Description

If `funcsynopsis.style` is `ansi`, ANSI-style function synopses are generated for a `funcsynopsis`, otherwise K&R-style function synopses are generated.

function.parens
boolean

## function.parens

Generate parens after a function?
<xsl:param name="function.parens">0</xsl:param>

### Description

If not 0, the formatting of a `function` element will include generated parenthesis.

refentry.generate.name
boolean

## refentry.generate.name

Output NAME header before 'RefName'(s)?
<xsl:param name="refentry.generate.name" select="1"/>

### Description

If true (non-zero), a "NAME" section title is output before the list of 'RefName's. This parameter and `refentry.generate.title` are mutually exclusive.

refentry.generate.title
boolean

## refentry.generate.title

Output title before 'RefName'(s)?
<xsl:param name="refentry.generate.title" select="0"/>

### Description

If true (non-zero), the reference page title or first name is output before the list of 'RefName's. This parameter and `refentry.generate.name` are mutually exclusive.

refentry.xref.manvolnum
boolean

## refentry.xref.manvolnum

Output `manvolnum` as part of `refentry` cross-reference?
<xsl:param name="refentry.xref.manvolnum" select="1"/>

### Description

if true (non-zero), the `manvolnum` is used when cross-referencing `refentry`s, either with `xref` or `citerefentry`.

## Tables

default.table.width
length

## default.table.width

The default width of tables
<xsl:param name="default.table.width" select="''"/>

### Description

If specified, this value will be used for the WIDTH attribute on tables that do not specify an alternate width (with the dbhtml processing instruction).

nominal.table.width
length

## nominal.table.width

The (absolute) nominal width of tables
<xsl:param name="nominal.table.width" select="'6in'"/>

### Description

In order to convert CALS column widths into HTML column widths, it is sometimes necessary to have an absolute table width to use for conversion of mixed absolute and relative widths. This value must be an absolute length (not a percentag).

table.border.thickness

## table.border.thickness

<xsl:param name="table.border.thickness" select="'0.5pt'"/>

### Description

FIXME:

table.border.padding

## table.border.padding

<xsl:param name="table.border.padding" select="'2pt'"/>

### Description

FIXME:

table.border.style

## table.border.style

<xsl:param name="table.border.style" select="'solid'"/>

### Description

FIXME:

table.border.color

## table.border.color

<xsl:param name="table.border.color" select="'black'"/>

### Description

FIXME:

table.entry.padding

## table.entry.padding

<xsl:param name="table.entry.padding" select="'2pt'"/>

### Description

FIXME:

## QAndASet

qandadiv.autolabel
boolean

## qandadiv.autolabel

Are divisions in QAndASets enumerated?
<xsl:param name="qandadiv.autolabel" select="1"/>

### Description

If true (non-zero), unlabeled qandadivs will be enumerated.

qanda.inherit.numeration
boolean

## qanda.inherit.numeration

Does enumeration of QandASet components inherit the numeration of parent elements?
<xsl:param name="qanda.inherit.numeration" select="1"/>

### Description

If true (non-zero), numbered QandADiv elements and Questions and Answers inherit the numeration of the ancestors of the QandASet.

## Bibliography

biblioentry.item.separator
string

## biblioentry.item.separator

Text to separate bibliography entries
<xsl:param name="biblioentry.item.separator">. </xsl:param>

### Description

Text to separate bibliography entries

bibliography.collection
string

## bibliography.collection

Name of the bibliography collection file
<xsl:param name="bibliography.collection" select="'http://docbook.sourceforge.net/release/bibliography/bibliography.xml'"/>

### Description

Maintaining bibliography entries across a set of documents is tedious, time consuming, and error prone. It makes much more sense, usually, to store all of the bibliography entries in a single place and simply extract the ones you need in each document.

That's the purpose of the `bibliography.collection` parameter. To setup a global bibliography database, follow these steps:

First, create a stand-alone bibliography document that contains all of the documents that you wish to reference. Make sure that each bibliography entry (whether you use `biblioentry` or `bibliomixed`) has an ID.

My global bibliography, `~/bibliography.xml` begins like this:

    <!DOCTYPE bibliography
      PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN"
      "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd">
    <bibliography><title>References</title>

    <bibliomixed id="xml-rec"><abbrev>XML 1.0</abbrev>Tim Bray,
    Jean Paoli, C. M. Sperberg-McQueen, and Eve Maler, editors.
    <citetitle><ulink url="http://www.w3.org/TR/REC-xml">Extensible Markup
    Language (XML) 1.0 Second Edition</ulink></citetitle>.
    World Wide Web Consortium, 2000.
    </bibliomixed>

    <bibliomixed id="xml-names"><abbrev>Namespaces</abbrev>Tim Bray,
    Dave Hollander,
    and Andrew Layman, editors.
    <citetitle><ulink url="http://www.w3.org/TR/REC-xml-names/">Namespaces in
    XML</ulink></citetitle>.
    World Wide Web Consortium, 1999.
    </bibliomixed>

    <!-- ... -->
    </bibliography>

When you create a bibliography in your document, simply provide empty `bibliomixed` entries for each document that you wish to cite. Make sure that these elements have the same ID as the corresponding real entry in your global bibliography.

For example:

    <bibliography><title>Bibliography</title>

    <bibliomixed id="xml-rec"/>
    <bibliomixed id="xml-names"/>
    <bibliomixed id="DKnuth86">Donald E. Knuth. <citetitle>Computers and
    Typesetting: Volume B, TeX: The Program</citetitle>. Addison-Wesley,
    1986.  ISBN 0-201-13437-3.
    </bibliomixed>
    <bibliomixed id="relaxng"/>

    </bibliography>

Note that it's perfectly acceptable to mix entries from your global bibliography with normal entries. You can use `xref` or other elements to cross-reference your bibliography entries in exactly the same way you do now.

Finally, when you are ready to format your document, simply set the `bibliography.collection` parameter (in either a customization layer or directly through your processor's interface) to point to your global bibliography.

The stylesheets will format the bibliography in your document as if all of the entries referenced appeared there literally.

## Glossary

glossterm.auto.link
boolean

## glossterm.auto.link

Generate links from glossterm to glossentry automaticaly?
<xsl:param name="glossterm.auto.link" select="'0'"/>

### Description

If true, a link will be automatically created from glossterm to glossentry for that glossary term. This is usefull when your glossterm names are consistent and you don't want to add links manually.

If there is `linkend` on `glossterm` then is used instead of autogeneration of link.

firstterm.only.link
boolean

## firstterm.only.link

Does automatic glossterm linking only apply to firstterms?
<xsl:param name="firstterm.only.link" select="0"/>

### Description

If true, only `firstterm`s will be automatically linked to the glossary. If glossary linking is not enabled, this parameter has no effect.

glossary.collection
string

## glossary.collection

Name of the glossary collection file
<xsl:param name="glossary.collection" select="''"/>

### Description

Glossaries maintained independently across a set of documents are likely to become inconsistent unless considerable effort is expended to keep them in sync. It makes much more sense, usually, to store all of the glossary entries in a single place and simply extract the ones you need in each document.

That's the purpose of the `glossary.collection` parameter. To setup a global glossary database, follow these steps:

#### Setting Up the Glossary Database

First, create a stand-alone glossary document that contains all of the entries that you wish to reference. Make sure that each glossary entry has an ID.

Here's an example glossary:

    <?xml version="1.0" encoding="utf-8"?>
    <!DOCTYPE glossary
      PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN"
      "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd">
    <glossary>
    <glossaryinfo>
    <editor><firstname>Eric</firstname><surname>Raymond</surname></editor>
    <title>Jargon File 4.2.3 (abridged)</title>
    <releaseinfo>Just some test data</releaseinfo>
    </glossaryinfo>

    <glossdiv><title>0</title>

    <glossentry>
    <glossterm>0</glossterm>
    <glossdef>
    <para>Numeric zero, as opposed to the letter `O' (the 15th letter of
    the English alphabet). In their unmodified forms they look a lot
    alike, and various kluges invented to make them visually distinct have
    compounded the confusion. If your zero is center-dotted and letter-O
    is not, or if letter-O looks almost rectangular but zero looks more
    like an American football stood on end (or the reverse), you're
    probably looking at a modern character display (though the dotted zero
    seems to have originated as an option on IBM 3270 controllers). If
    your zero is slashed but letter-O is not, you're probably looking at
    an old-style ASCII graphic set descended from the default typewheel on
    the venerable ASR-33 Teletype (Scandinavians, for whom /O is a letter,
    curse this arrangement). (Interestingly, the slashed zero long
    predates computers; Florian Cajori's monumental "A History of
    Mathematical Notations" notes that it was used in the twelfth and
    thirteenth centuries.) If letter-O has a slash across it and the zero
    does not, your display is tuned for a very old convention used at IBM
    and a few other early mainframe makers (Scandinavians curse <emphasis>this</emphasis>
    arrangement even more, because it means two of their letters collide).
    Some Burroughs/Unisys equipment displays a zero with a <emphasis>reversed</emphasis>
    slash. Old CDC computers rendered letter O as an unbroken oval and 0
    as an oval broken at upper right and lower left. And yet another
    convention common on early line printers left zero unornamented but
    added a tail or hook to the letter-O so that it resembled an inverted
    Q or cursive capital letter-O (this was endorsed by a draft ANSI
    standard for how to draw ASCII characters, but the final standard
    changed the distinguisher to a tick-mark in the upper-left corner).
    Are we sufficiently confused yet?</para>
    </glossdef>
    </glossentry>

    <glossentry>
    <glossterm>1TBS</glossterm>
    <glossdef>
    <para role="accidence">
    <phrase role="pronounce"></phrase>
    <phrase role="partsofspeach">n</phrase>
    </para>
    <para>The "One True Brace Style"</para>
    <glossseealso>indent style</glossseealso>
    </glossdef>
    </glossentry>

    <!-- ... -->

    </glossdiv>

    <!-- ... -->

    </glossary>

#### Marking Up Glossary Terms

That takes care of the glossary database, now you have to get the entries into your document. Unlike bibliography entries, which can be empty, creating placeholder glossary entries would be very tedious. So instead, support for `glossary.collection` relies on implicit linking.

In your source document, simply use `firstterm` and `glossterm` to identify the terms you wish to have included in the glossary. The stylesheets assume that you will either set the `baseform` attribute correctly, or that the content of the element exactly matches a term in your glossary.

If you're using a `glossary.collection`, don't make explicit links on the terms in your document.

So, in your document, you might write things like this:

    <para>This is dummy text, without any real meaning.
    The point is simply to reference glossary terms like <glossterm>0</glossterm>
    and the <firstterm baseform="1TBS">One True Brace Style (1TBS)</firstterm>.
    The <glossterm>1TBS</glossterm>, as you can probably imagine, is a nearly
    religious issue.</para>

If you set the `firstterm.only.link` parameter, only the terms marked with `firstterm` will be links. Otherwise, all the terms will be linked.

#### Marking Up the Glossary

The glossary itself has to be identified for the stylesheets. For lack of a better choice, the `role` is used. To identify the glossary as the target for automatic processing, set the role to `auto`. The title of this glossary (and any other information from the `glossaryinfo` that's rendered by your stylesheet) will be displayed, but the entries will come from the database.

Unfortunately, the glossary can't be empty, so you must put in at least one `glossentry`. The content of this entry is irrelevant, it will not be rendered:

    <glossary role="auto">
    <glossentry>
    <glossterm>Irrelevant</glossterm>
    <glossdef>
    <para>If you can see this, the document was processed incorrectly. Use
    the <parameter>glossary.collection</parameter> parameter.</para>
    </glossdef>
    </glossentry>
    </glossary>

What about glossary divisions? If your glossary database has glossary divisions and your automatic glossary contains at least one `glossdiv`, the automic glossary will have divisions. If the `glossdiv` is missing from either location, no divisions will be rendered.

Glossary entries (and divisions, if appropriate) in the glossary will occur in precisely the order they occur in your database.

#### Formatting the Document

Finally, when you are ready to format your document, simply set the `glossary.collection` parameter (in either a customization layer or directly through your processor's interface) to point to your global glossary.

The stylesheets will format the glossary in your document as if all of the entries implicilty referenced appeared there literally.

## Miscellaneous

graphic.default.extension
string

## graphic.default.extension

Default extension for graphic filenames
<xsl:param name="graphic.default.extension"/>

### Description

If a `graphic` or `mediaobject` includes a reference to a filename that does not include an extension, and the `format` attribute is unspecified, the default extension will be used.

formal.procedures
boolean

## formal.procedures

Selects formal or informal procedures
<xsl:param name="formal.procedures" select="1"/>

### Description

Formal procedures are numbered and always hav a title.

runinhead.default.title.end.punct
string

## runinhead.default.title.end.punct

Default punctuation character on a run-in-head
<xsl:param name="runinhead.default.title.end.punct" select="'.'"/>

### Description

FIXME:

runinhead.title.end.punct
string

## runinhead.title.end.punct

Characters that count as punctuation on a run-in-head
<xsl:param name="runinhead.title.end.punct" select="'.!?:'"/>

### Description

FIXME:

show.comments
boolean

## show.comments

Display `comment` elements?
<xsl:param name="show.comments">1</xsl:param>

### Description

If true (non-zero), comments will be displayed, otherwise they are suppressed. Comments here refers to the `comment` element, which will be renamed `remark` in DocBook V4.0, not XML comments (<-- like this -->) which are unavailable.

punct.honorific
string

## punct.honorific

Punctuation after an honorific in a personal name.
<xsl:param name="punct.honorific" select="'.'"/>

### Description

This parameter specifies the punctuation that should be added after an honorific in a personal name.

segmentedlist.as.table
boolean

## segmentedlist.as.table

Format segmented lists as tables?
<xsl:param name="segmentedlist.as.table" select="0"/>

### Description

If non-zero, `segmentedlist`s will be formatted as tables.

variablelist.as.blocks
boolean

## variablelist.as.blocks

Format `variablelist`s lists as blocks?
<xsl:param name="variablelist.as.blocks" select="0"/>

### Description

If non-zero, `variablelist`s will be formatted as blocks.

If you have long terms, proper list markup in the FO case may produce unattractive lists. By setting this parameter, you can force the stylesheets to produce block markup instead of proper lists.

## blockquote.properties

To set the style for block quotations.
<xsl:attribute-set name="blockquote.properties"> <xsl:attribute name="start-indent">0.5in</xsl:attribute> <xsl:attribute name="end-indent">0.5in</xsl:attribute> </xsl:attribute-set>

### Description

The `blockquote.properties` attribute set specifies the formating properties of block quotations.

ulink.show
boolean

## ulink.show

Display URLs after `ulink`s?
<xsl:param name="ulink.show" select="1"/>

### Description

If non-zero, the URL of each `ULink` will appear after the text of the link. If the text of the link and the URL are identical, the URL is suppressed.

ulink.footnotes
boolean

## ulink.footnotes

Generate footnotes for `ULink`s?
<xsl:param name="ulink.footnotes" select="0"/>

### Description

If non-zero, the URL of each `ULink` will appear as a footnote. Not yet implemented!

ulink.hyphenate
string

## ulink.hyphenate

Allow URLs to be automatically hyphenated
<xsl:param name="ulink.hyphenate" select="''"/>

### Description

If not empty, the specified character (or more generally, content) is added to URLs after every /. If the character specified is a Unicode soft hyphen (0x00AD) or Unicode zero-width space (0x200B), some FO processors will be able to reasonably hyphenate long URLs.

As of 28 Jan 2002, discretionary hyphens are more widely and correctly supported than zero-width spaces for this purpose.

## FO

stylesheet.result.type
list
html
fo

## stylesheet.result.type

Identifies the output format of this stylesheet
<xsl:param name="stylesheet.result.type" select="'html'"/>

### Description

The Saxon extension functions need to know if the output format is HTML ('html') or XSL Formatting Objects ('fo'). This variable answers that question. Valid settings are 'html' or 'fo'.

## Pagination and General Styles

## Understanding XSL FO Margins

In order for the parameters in this section to make sense, it is useful to consider .

Figure showing page margins

This figure shows the physical page with the various FO page regions identified.

First, let's consider the regions on the page.

The white region is the physical page. Its dimensions are determined by the `page.height` and `page.width` parameters.

The yellow region is the region-body. The size and placement of the region body is constrained by the dimensions labelled in the figure.

The pink region at the top of the page is the region-before. The darker area inside the region-before is the header text. In XSL, the default display alignment for the region-before is `before`, but the DocBook stylesheets explicitly make it `after`. That's why the darker area is at the bottom.

The pink region at the bottom of the page is the region-after. The darker area is the footer text. In XSL, the default display alignment for the region-after is `before` (really!), but the DocBook stylesheets explicitly make it `after`. That's why the darker area is at the bottom.

The dimensions in the figure are:

- The page-master margin-top.

- The region-before extent.

- The region-body margin-top.

- The region-after extent.

- The page-master margin-bottom.

- The region-body margin-bottom.

- The sum of the page-master margin-left and the region-body margin-left. In DocBook, the region-body margin-left is zero by default, so this is simply the page-master region-left.

- The sum of the page-master margin-right and the region-body margin-right. In DocBook, the region-body margin-right is zero by default, so this is simply the page-master region-left.

page.height

## page.height

The height of the physical page
<xsl:param name="page.height"> <xsl:choose> <xsl:when test="$page.orientation = 'portrait'"> <xsl:value-of select="$page.height.portrait"/> </xsl:when> <xsl:otherwise> <xsl:value-of select="$page.width.portrait"/> </xsl:otherwise> </xsl:choose> </xsl:param>

### Description

The page height is generally calculated from the `paper.type` and `page.orientation`.

page.height.portrait

## page.height.portrait

Specify the physical size of the long edge of the page
<xsl:param name="page.height.portrait"> <xsl:choose> <xsl:when test="$paper.type = 'A4landscape'">210mm</xsl:when> <xsl:when test="$paper.type = 'USletter'">11in</xsl:when> <xsl:when test="$paper.type = 'USlandscape'">8.5in</xsl:when> <xsl:when test="$paper.type = '4A0'">2378mm</xsl:when> <xsl:when test="$paper.type = '2A0'">1682mm</xsl:when> <xsl:when test="$paper.type = 'A0'">1189mm</xsl:when> <xsl:when test="$paper.type = 'A1'">841mm</xsl:when> <xsl:when test="$paper.type = 'A2'">594mm</xsl:when> <xsl:when test="$paper.type = 'A3'">420mm</xsl:when> <xsl:when test="$paper.type = 'A4'">297mm</xsl:when> <xsl:when test="$paper.type = 'A5'">210mm</xsl:when> <xsl:when test="$paper.type = 'A6'">148mm</xsl:when> <xsl:when test="$paper.type = 'A7'">105mm</xsl:when> <xsl:when test="$paper.type = 'A8'">74mm</xsl:when> <xsl:when test="$paper.type = 'A9'">52mm</xsl:when> <xsl:when test="$paper.type = 'A10'">37mm</xsl:when> <xsl:when test="$paper.type = 'B0'">1414mm</xsl:when> <xsl:when test="$paper.type = 'B1'">1000mm</xsl:when> <xsl:when test="$paper.type = 'B2'">707mm</xsl:when> <xsl:when test="$paper.type = 'B3'">500mm</xsl:when> <xsl:when test="$paper.type = 'B4'">353mm</xsl:when> <xsl:when test="$paper.type = 'B5'">250mm</xsl:when> <xsl:when test="$paper.type = 'B6'">176mm</xsl:when> <xsl:when test="$paper.type = 'B7'">125mm</xsl:when> <xsl:when test="$paper.type = 'B8'">88mm</xsl:when> <xsl:when test="$paper.type = 'B9'">62mm</xsl:when> <xsl:when test="$paper.type = 'B10'">44mm</xsl:when> <xsl:when test="$paper.type = 'C0'">1297mm</xsl:when> <xsl:when test="$paper.type = 'C1'">917mm</xsl:when> <xsl:when test="$paper.type = 'C2'">648mm</xsl:when> <xsl:when test="$paper.type = 'C3'">458mm</xsl:when> <xsl:when test="$paper.type = 'C4'">324mm</xsl:when> <xsl:when test="$paper.type = 'C5'">229mm</xsl:when> <xsl:when test="$paper.type = 'C6'">162mm</xsl:when> <xsl:when test="$paper.type = 'C7'">114mm</xsl:when> <xsl:when test="$paper.type = 'C8'">81mm</xsl:when> <xsl:when test="$paper.type = 'C9'">57mm</xsl:when> <xsl:when test="$paper.type = 'C10'">40mm</xsl:when> <xsl:otherwise>11in</xsl:otherwise> </xsl:choose> </xsl:param>

### Description

The portrait page height is the length of the long edge of the physical page.

page.margin.bottom

## page.margin.bottom

The bottom margin of the page
<xsl:param name="page.margin.bottom">0.5in</xsl:param>

### Description

The bottom page margin is the distance from the bottom of the region-after to the physical bottom of the page.

page.margin.inner

## page.margin.inner

The inner page margin
<xsl:param name="page.margin.inner"> <xsl:choose> <xsl:when test="$double.sided != 0">1.25in</xsl:when> <xsl:otherwise>1in</xsl:otherwise> </xsl:choose> </xsl:param>

### Description

The inner page margin is the distance from binding edge of the page to the first column of text. In the left-to-right, top-to-bottom writing direction, this is the left margin of recto pages.

The inner and outer margins are usually the same unless the output is double-sided.

page.margin.outer

## page.margin.outer

The outer page margin
<xsl:param name="page.margin.outer"> <xsl:choose> <xsl:when test="$double.sided != 0">0.75in</xsl:when> <xsl:otherwise>1in</xsl:otherwise> </xsl:choose> </xsl:param>

### Description

The outer page margin is the distance from non-binding edge of the page to the last column of text. In the left-to-right, top-to-bottom writing direction, this is the right margin of recto pages.

The inner and outer margins are usually the same unless the output is double-sided.

page.margin.top

## page.margin.top

The top margin of the page
<xsl:param name="page.margin.top">0in</xsl:param>

### Description

The top page margin is the distance from the physical top of the page to the top of the region-before.

page.orientation

## page.orientation

Select the page orientation
<xsl:param name="page.orientation" select="'portrait'"/>

### Description

In portrait orientation, the short edge is horizontal; in landscape orientation, it is vertical.

page.width

## page.width

The width of the physical page
<xsl:param name="page.width"> <xsl:choose> <xsl:when test="$page.orientation = 'portrait'"> <xsl:value-of select="$page.width.portrait"/> </xsl:when> <xsl:otherwise> <xsl:value-of select="$page.height.portrait"/> </xsl:otherwise> </xsl:choose> </xsl:param>

### Description

The page width is generally calculated from the `paper.type` and `page.orientation`.

page.width.portrait

## page.width.portrait

Specify the physical size of the short edge of the page
<xsl:param name="page.width.portrait"> <xsl:choose> <xsl:when test="$paper.type = 'USletter'">8.5in</xsl:when> <xsl:when test="$paper.type = '4A0'">1682mm</xsl:when> <xsl:when test="$paper.type = '2A0'">1189mm</xsl:when> <xsl:when test="$paper.type = 'A0'">841mm</xsl:when> <xsl:when test="$paper.type = 'A1'">594mm</xsl:when> <xsl:when test="$paper.type = 'A2'">420mm</xsl:when> <xsl:when test="$paper.type = 'A3'">297mm</xsl:when> <xsl:when test="$paper.type = 'A4'">210mm</xsl:when> <xsl:when test="$paper.type = 'A5'">148mm</xsl:when> <xsl:when test="$paper.type = 'A6'">105mm</xsl:when> <xsl:when test="$paper.type = 'A7'">74mm</xsl:when> <xsl:when test="$paper.type = 'A8'">52mm</xsl:when> <xsl:when test="$paper.type = 'A9'">37mm</xsl:when> <xsl:when test="$paper.type = 'A10'">26mm</xsl:when> <xsl:when test="$paper.type = 'B0'">1000mm</xsl:when> <xsl:when test="$paper.type = 'B1'">707mm</xsl:when> <xsl:when test="$paper.type = 'B2'">500mm</xsl:when> <xsl:when test="$paper.type = 'B3'">353mm</xsl:when> <xsl:when test="$paper.type = 'B4'">250mm</xsl:when> <xsl:when test="$paper.type = 'B5'">176mm</xsl:when> <xsl:when test="$paper.type = 'B6'">125mm</xsl:when> <xsl:when test="$paper.type = 'B7'">88mm</xsl:when> <xsl:when test="$paper.type = 'B8'">62mm</xsl:when> <xsl:when test="$paper.type = 'B9'">44mm</xsl:when> <xsl:when test="$paper.type = 'B10'">31mm</xsl:when> <xsl:when test="$paper.type = 'C0'">917mm</xsl:when> <xsl:when test="$paper.type = 'C1'">648mm</xsl:when> <xsl:when test="$paper.type = 'C2'">458mm</xsl:when> <xsl:when test="$paper.type = 'C3'">324mm</xsl:when> <xsl:when test="$paper.type = 'C4'">229mm</xsl:when> <xsl:when test="$paper.type = 'C5'">162mm</xsl:when> <xsl:when test="$paper.type = 'C6'">114mm</xsl:when> <xsl:when test="$paper.type = 'C7'">81mm</xsl:when> <xsl:when test="$paper.type = 'C8'">57mm</xsl:when> <xsl:when test="$paper.type = 'C9'">40mm</xsl:when> <xsl:when test="$paper.type = 'C10'">28mm</xsl:when> <xsl:otherwise>8.5in</xsl:otherwise> </xsl:choose> </xsl:param>

### Description

The portrait page width is the length of the short edge of the physical page.

paper.type

## paper.type

Select the paper type
<xsl:param name="paper.type" select="'USletter'"/>

### Description

The paper type is a convenient way to specify the paper size. The list of known paper sizes includes USletter and most of the A, B, and C sizes. See `page.width.portrait`, for example.

double.sided

## double.sided

Is the document to be printed double sided?
<xsl:param name="double.sided" select="'0'"/>

### Description

Double-sided documents are printed with a slightly wider margin on the binding edge of the page.

FIXME: The current set of parameters does not take writing direction into account.

body.margin.bottom

## body.margin.bottom

The bottom margin of the body text
<xsl:param name="body.margin.bottom">0.5in</xsl:param>

### Description

The body bottom margin is the distance from the last line of text in the page body to the bottom of the region-after.

body.margin.top

## body.margin.top

To specify the size of the top margin of a page
<xsl:param name="body.margin.top">1in</xsl:param>

### Description

The body top margin is the distance from the top of the region-before to the first line of text in the page body.

alignment

## alignment

Specify the default text alignment
<xsl:param name="alignment">justify</xsl:param>

### Description

The default text alignment is used for most body text.

hyphenate

## hyphenate

Specify hyphenation behavior
<xsl:param name="hyphenate">true</xsl:param>

### Description

If true, words may be hyphenated. Otherwise, they may not.

line-height
string

## line-height

Specify the line-height property
<xsl:param name="line-height" select="'normal'"/>

### Description

Sets the line-height property.

column.count

## column.count

Specifies the number of columns of text on the page
<xsl:param name="column.count" select="'1'"/>

### Description

The specified number of columns of text will appear on each page.

column.count.of.index
integer

## column.count.of.index

Number of columns in the index
<xsl:param name="column.count.of.index" select="$column.count"/>

### Description

This parameter specifies the number of columns on pages in the index. The default is the same as the `column.count`.

region.after.extent

## region.after.extent

Specifies the height of the footer.
<xsl:param name="region.after.extent" select="'0.5in'"/>

### Description

The region after extent is the height of the area where footers are printed.

region.before.extent

## region.before.extent

Specifies the height of the header
<xsl:param name="region.before.extent" select="'0.5in'"/>

### Description

The region before extent is the height of the area where headers are printed.

default.units
list
cm
mm
in
pt
pc
px
em

## default.units

Default units for an unqualified dimension
<xsl:param name="default.units" select="'pt'"/>

### Description

If an unqualified dimension is encountered (for example, in a graphic width), the `default-units` will be used for the units. Unqualified dimensions are not allowed in XSL Formatting Objects.

## normal.para.spacing

What space do you want between normal paragraphs
<xsl:attribute-set name="normal.para.spacing"> <xsl:attribute name="space-before.optimum">1em</xsl:attribute> <xsl:attribute name="space-before.minimum">0.8em</xsl:attribute> <xsl:attribute name="space-before.maximum">1.2em</xsl:attribute> </xsl:attribute-set>

### Description

Specify the spacing required between normal paragraphs

body.font.master

## body.font.master

Specifies the default point size for body text
<xsl:param name="body.font.master">10</xsl:param>

### Description

The body font size is specified in two parameters (`body.font.master` and `body.font.size`) so that math can be performed on the font size by XSLT.

body.font.size

## body.font.size

Specifies the default font size for body text
<xsl:param name="body.font.size"> <xsl:value-of select="$body.font.master"/><xsl:text>pt</xsl:text> </xsl:param>

### Description

The body font size is specified in two parameters (`body.font.master` and `body.font.size`) so that math can be performed on the font size by XSLT.

footnote.font.size

## footnote.font.size

The font size for footnotes
<xsl:param name="footnote.font.size"> <xsl:value-of select="$body.font.master * 0.8"/><xsl:text>pt</xsl:text> </xsl:param>

### Description

The footnote font size is used for...footnotes!

title.margin.left

## title.margin.left

Adjust the left margin for titles
<xsl:param name="title.margin.left" select="'-4pc'"/>

### Description

This parameter adjusts the left margin for titles.

draft.watermark.image
uri

## draft.watermark.image

The URI of the image to be used for draft watermarks
<xsl:param name="draft.watermark.image" select="'http://docbook.sourceforge.net/release/images/draft.png'"/>

### Description

The image to be used for draft watermarks.

## Font Families

body.font.family

## body.font.family

The default font family for body text
<xsl:param name="body.font.family">Times Roman</xsl:param>

### Description

The body font family is the default font used for text in the page body.

dingbat.font.family

## dingbat.font.family

The font family for copyright, quotes, and other symbols
<xsl:param name="dingbat.font.family">Times Roman</xsl:param>

### Description

The dingbat font family is used for dingbats. If it is defined as the empty string, no font change is effected around dingbats.

monospace.font.family

## monospace.font.family

The default font family for monospace environments
<xsl:param name="monospace.font.family">Courier</xsl:param>

### Description

The monospace font family is used for verbatim environments (program listings, screens, etc.).

sans.font.family

## sans.font.family

The default sans-serif font family
<xsl:param name="sans.font.family">Helvetica</xsl:param>

### Description

The default sans-serif font family. At the present, this isn't actually used by the stylesheets.

title.font.family

## title.font.family

The default font family for titles
<xsl:param name="title.font.family">Helvetica</xsl:param>

### Description

The title font family is used for titles (chapter, section, figure, etc.)

## Lists

## list.block.spacing

What spacing do you want before lists?
<xsl:attribute-set name="list.block.spacing"> <xsl:attribute name="space-before.optimum">1em</xsl:attribute> <xsl:attribute name="space-before.minimum">0.8em</xsl:attribute> <xsl:attribute name="space-before.maximum">1.2em</xsl:attribute> </xsl:attribute-set>

### Description

Specify the spacing required before a list.

## list.item.spacing

What space do you want between list items?
<xsl:attribute-set name="list.item.spacing"> <xsl:attribute name="space-before.optimum">1em</xsl:attribute> <xsl:attribute name="space-before.minimum">0.8em</xsl:attribute> <xsl:attribute name="space-before.maximum">1.2em</xsl:attribute> </xsl:attribute-set>

### Description

Specify what spacing you want between each list item.

## Cross References

insert.xref.page.number
boolean

## insert.xref.page.number

Turns page numbers in xrefs on and off
<xsl:param name="insert.xref.page.number" select="0"/>

### Description

When equal to 1, this parameter triggers generation of page number citations after xrefs.

## xref.properties

FIXME:
<xsl:attribute-set name="xref.properties">

</xsl:attribute-set>

### Description

FIXME:

## Property Sets

## component.title.properties

Specify the styling for the title elements of a component.
<xsl:attribute-set name="component.title.properties"> <xsl:attribute name="space-before.optimum">2em</xsl:attribute> <xsl:attribute name="space-before.minimum">1.8em</xsl:attribute> <xsl:attribute name="space-before.maximum">2.2em</xsl:attribute> <xsl:attribute name="font-weight">bold</xsl:attribute> <xsl:attribute name="font-size">18pt</xsl:attribute> <xsl:attribute name="space-after.optimum">1.5em</xsl:attribute> <xsl:attribute name="space-after.minimum">1.3em</xsl:attribute> <xsl:attribute name="space-after.maximum">1.8em</xsl:attribute> <xsl:attribute name="hyphenate">false</xsl:attribute> <xsl:attribute name="keep-with-next.within-column">always</xsl:attribute> </xsl:attribute-set>

### Description

A set of attributes are used to style the title of a component (chapters, appendixes, articles, etc.). Components are usually printed in the `title.font.family`. Spacing before and after, font size etc are specified using this parameter.

## formal.object.properties

Properties associated with a formal object such as a figure, or other component that has a title
<xsl:attribute-set name="formal.object.properties"> <xsl:attribute name="space-before.minimum">0.5em</xsl:attribute> <xsl:attribute name="space-before.optimum">1em</xsl:attribute> <xsl:attribute name="space-before.maximum">2em</xsl:attribute> <xsl:attribute name="space-after.minimum">0.5em</xsl:attribute> <xsl:attribute name="space-after.optimum">1em</xsl:attribute> <xsl:attribute name="space-after.maximum">2em</xsl:attribute> </xsl:attribute-set>

### Description

The styling for formal objects in docbook. Specify the spacing before and after the object.

## formal.title.properties

Style the title element of formal object such as a figure.
<xsl:attribute-set name="formal.title.properties" use-attribute-sets="normal.para.spacing"> <xsl:attribute name="font-weight">bold</xsl:attribute> <xsl:attribute name="font-size">12pt</xsl:attribute> <xsl:attribute name="hyphenate">false</xsl:attribute> <xsl:attribute name="keep-with-next.within-column">always</xsl:attribute> </xsl:attribute-set>

### Description

Specify how the title should be styled. Specify the font size and weight of the title of the formal object.

## informal.object.properties

Properties associated with a formal object such as a figure, or other component that has a title
<xsl:attribute-set name="informal.object.properties"> <xsl:attribute name="space-before.minimum">0.5em</xsl:attribute> <xsl:attribute name="space-before.optimum">1em</xsl:attribute> <xsl:attribute name="space-before.maximum">2em</xsl:attribute> <xsl:attribute name="space-after.minimum">0.5em</xsl:attribute> <xsl:attribute name="space-after.optimum">1em</xsl:attribute> <xsl:attribute name="space-after.maximum">2em</xsl:attribute> </xsl:attribute-set>

### Description

The styling for informal objects in docbook. Specify the spacing before and after the object.

## monospace.verbatim.properties

What font and size do you want for monospaced content?
<xsl:attribute-set name="monospace.verbatim.properties" use-attribute-sets="verbatim.properties"> <xsl:attribute name="font-family"> <xsl:value-of select="$monospace.font.family"/> </xsl:attribute> <xsl:attribute name="font-size"> <xsl:value-of select="$body.font.master * 0.9"/> <xsl:text>pt</xsl:text> </xsl:attribute> </xsl:attribute-set>

### Description

Specify the font name and size you want for monospaced output

## verbatim.properties

FIXME:
<xsl:attribute-set name="verbatim.properties"> <xsl:attribute name="space-before.minimum">0.8em</xsl:attribute> <xsl:attribute name="space-before.optimum">1em</xsl:attribute> <xsl:attribute name="space-before.maximum">1.2em</xsl:attribute> </xsl:attribute-set>

### Description

FIXME:

## The Stylesheet

The `param.xsl` stylesheet is just a wrapper around all these parameters.

<xsl:stylesheet exclude-result-prefixes="src" version="1.0">

<!-- This file is generated from param.xweb; do not edit this file! -->

<!-- ******************************************************************** $Id: param.xweb,v 1.16 2002/02/11 12:23:08 nwalsh Exp $ ********************************************************************

This file is part of the XSL DocBook Stylesheet distribution. See ../README or http://nwalsh.com/docbook/xsl/ for copyright and other information.

******************************************************************** -->

</xsl:stylesheet>